<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_UPDATE)">
    <form method="POST" enctype="multipart/form-data" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_ATTACHMENTS_UPLOAD}}" th:object="${workitem}">
      <input th:field="*{id}" type="hidden" />
      <input type="file" name="file" accept="image/*,.pdf" />
      <br />
      <br />
      <div class="right floated right aligned column">
        <button class="ui labeled icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" type="submit">
          <i class="save icon"></i>
          <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE}}"></span>
        </button>
      </div>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
    <br />
  </div>
  <div th:fragment="list" id="attachments-list">
    <div th:if="${not #lists.isEmpty(workitem.attachments)}">
      <h4 class="ui horizontal divider header" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <i class="save icon"></i>
        <th:block>Files</th:block>
      </h4>
      <div class="ui stackable four column grid">
        <th:block th:each="attachment : ${workitem.attachments}">
          <div class="column">
            <div class="fourteen wide column no-padding">
              <div class="ui card stackable">
                <div class="content">
                  <h4 class="ui header" th:text="${#strings.length(attachment.name) > 20 ? #strings.substring(attachment.name, 0, 20) + ' ...' : attachment.name}"></h4>
                  <div class="meta"></div>
                </div>
                <div class="extra content">
                  <div class="right floated author" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_UPDATE)">
                    <a th:onclick="'filepreview(' + ${attachment.id} + ');'">
                      <i class="eye icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                    </a>
                    <a th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_ATTACHMENTS}} + '/' + ${attachment.id} + '/download'">
                      <i class="download icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                    </a>
                    <a th:onclick="'removeattachment(' + ${attachment.id} + ');'">
                      <i class="trash red icon"></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </th:block>
      </div>
    </div>
  </div>
  <div id="modalPreview" class="ui modal fullscreen" style="width: 100%; height: 100%; background: grey;"></div>
</body>
</html>